Support different API versions

Registered by Ivan Kolodyazhny on 2015-10-08

rally should support different OpenStack APIs versions

Blueprint information

Status:
Started
Approver:
Boris Pavlovic
Priority:
Medium
Drafter:
Ivan Kolodyazhny
Direction:
Approved
Assignee:
Ivan Kolodyazhny
Definition:
Approved
Series goal:
None
Implementation:
Good progress
Milestone target:
None
Started by
Andrey Kurilin on 2015-10-12

Related branches

Sprints

Whiteboard

Gerrit topic: https://review.openstack.org/#q,topic:api-versions,n,z

Addressed by: https://review.openstack.org/232546
    WIP! Add new context plugin to support different API versions

Gerrit topic: https://review.openstack.org/#q,topic:bp/different-api-versions,n,z

Addressed by: https://review.openstack.org/235255
    Add ability to specify service types for clients

Gerrit topic: https://review.openstack.org/#q,topic:osclients,n,z

(?)

Work Items

This blueprint contains Public information 
Everyone can see this information.

Subscribers

No subscribers.